> ## Documentation Index
> Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Endpoints capability

> This topic explains how to use the endpoints integration framework capability.

> For the complete documentation index, see [llms.txt](/llms.txt). For the full documentation snapshot, see [llms-full.txt](/llms-full.txt).

## Overview

This topic explains how to use the endpoints integration framework capability.

## About endpoints

Some capabilities require you to specify an endpoint that LaunchDarkly can make requests to. For example, you can specify an endpoint as follows:

<CodeGroup>
  ```json title="Endpoint example" theme={null}
          "endpoint": {
              "url": "{{endpointUrl}}",
              "method": "POST",
              "headers": [
                  {
                      "name": "Content-Type",
                      "value": "application/json"
                  },
                  {
                      "name": "Authorization",
                      "value": "Bearer {{apiToken}}"
                  }
              ]
          },
  ```
</CodeGroup>

This specification must include all appropriate request semantics including the URL, method, and headers.

In the example above, the properties `endpoint.url` and `endpoint.headers[].value` accept template variables. These template variables can reference any `formVariables` you've defined in your manifest. This lets you configure a dynamic endpoint based on the `formVariables` your integration collects from the end user. To learn more, read [Using form variables](/integrations/partner-integrations/form-variables).

The templating language LaunchDarkly uses is based off of a subset of the Handlebars syntax. To learn more, read the [Handlebars documentation](https://handlebarsjs.com/).

This example uses the `endpointUrl` form variable as the URL of the endpoint and the `apiToken` as a `Bearer` token in the `Authorization` header:

<CodeGroup>
  ```json title="Endpoint example" theme={null}
          "endpoint": {
              "url": "{{endpointUrl}}",
              "method": "POST",
              "headers": [
                  {
                      "name": "Content-Type",
                      "value": "application/json"
                  },
                  {
                      "name": "Authorization",
                      "value": "Bearer {{apiToken}}"
                  }
              ]
          },
  ```
</CodeGroup>

This example uses the `apiToken` form variable as a query parameter on the URL:

<CodeGroup>
  ```json title="Endpoint example" theme={null}
          "endpoint": {
              "url": "https://example.com/apiToken?={{apiToken}}",
              "method": "POST"
          },
  ```
</CodeGroup>
